package com.usky.ai.controller.web;

import com.usky.ai.mapper.AiSessionMapper;
import com.usky.ai.service.AiSession;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/session")
public class AiSessionController {

    @Autowired
    private AiSessionMapper aiSessionMapper;

    @GetMapping("/all")
    public List<AiSession> getAllSessions() {
        return aiSessionMapper.findAll();
    }

    @GetMapping("/{sessionId}")
    public List<AiSession> getSessionsBySessionId(@PathVariable String sessionId) {
        return aiSessionMapper.findBySessionId(sessionId);
    }
}
