package com.ruoyi.file.controller;

import com.ruoyi.file.service.UploadFileService;
import com.ruoyi.file.utils.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

@Api(tags = "附件管理")
@RestController
@RequestMapping("/attach")
public class UploadFileController {

    @Autowired
    private UploadFileService uploadFileService;

    @PostMapping("/upload")
    @ApiOperation(value="上传文件")
    public ResponseResult upload(@RequestPart("file") MultipartFile file,
                                 @RequestParam(value = "bussinessId") @Valid @NotBlank(message = "业务id不能为空") String bussinessId) throws Exception {
        return uploadFileService.upload(file, bussinessId);
    }

    @GetMapping("/download")
    @ApiOperation(value = "下载文件")
    public void download(HttpServletResponse response,
                         @Valid @NotBlank(message = "id不能为空") String id) throws Exception {
        uploadFileService.download(response, id);
    }

}
